Subject: Re: [PATCH] staging: r8712u: Fix kernel warning for improper call of del_timer_sync()

From: Larry Finger <[email-masked]>
Date: Tue, 26 May 2015 11:40:31 -0500

On 05/26/2015 10:48 AM, Dan Carpenter wrote:
> On Tue, May 26, 2015 at 07:14:01AM -0700, Greg KH wrote:
>> I take the blame for any problems with Outreachy patches.  Given the
>> huge volume of them, one bug out of 900 isn't that bad of a percentage.
>
> We don't get many bugs through outreachy, but this isn't the first one.
> For example, in March and April people complained about:
>
> 95745e9b1de2 ('staging: lustre: Use kasprintf.')
> 45de432775d6 ('Staging: rtl8712: Use memdup_user() instead of copy_from_user()')
>
> There have been others but I have a short memory.  We have this
> discussion every time.  How come no one caught this bug in review??  Oh,
> it never went through the list.
>
> I'm fine with 5 bugs per 900 patches or whatever.  I wish that the
> patches came to the list, but I get that that would double your review
> workload to review 900 patches on the outreachy list and again on the
> normal dev list.

Adding the maintainer to the original list would still be a good step. I'm not 
sure that I would have caught "rtl8712: Use memdup_user() instead of 
copy_from_user()" in review, but I certainly would have seen that it was not 
proper to do a blanket substitution of del_timer_sync() for a wrapper that used 
del_timer().

Obviously the awful coding in rtl8712 contains more traps to trick the novices 
than does most code. It also predates a lot of changes in checkpatch.pl and 
contains a lot of low-hanging fruit.

Larry